Page MenuHomePhabricator

Document what "routine maintenance tasks" are (performed by @Phabricator_maintenance)
Closed, ResolvedPublic

Description

https://phabricator.wikimedia.org/p/Phabricator_maintenance/ currently states "This account performs routine maintenance tasks which don't require attention of subscribed users."

Different people have different interpretations what types of actions fall under "routine maintenance" and which ones do not.

@Danny_B: It would be great if you could outline and document what "routine maintenance tasks" are, by listing some specific situations you've been using this account for in the past.

Event Timeline

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 13 2016, 12:20 PM
Aklapper triaged this task as High priority.Aug 14 2016, 1:03 PM

No reply yet so I've temporarily disabled the @Phabricator_maintenance account until this task has been resolved. :(

@Danny_B and I had a conversation at the Vienna Hackathon.
As a "next step" I proposed to use this task to draft the scope of activities the bot performs, as high-level bullet points.
This could be done by going through past bot activity and adding items (such as "Converting tracking tasks to tags when such categorization is still considered helpful", or something like that).
Basically: Document first, allow potentially affected people/teams to discuss and clarify, act second.
The underlying reason is that actions which do not trigger any notifications cannot be detected by anyone potentially affected. Hence folks might be wary and due diligence (=scope) would be needed, and allowing coordination of actions with teams which are potentially affected by those actions.
To bring up one past example, I personally have not understood the advantages created by mass-removing archived project tags from tasks yet. Or to make up another example: If the bot changed the priority value of tasks which got closed years ago, I would not understand the value.

Currently the Phab account profile states

This account performs routine maintenance tasks which don't require attention of subscribed users.
It is set to not emit any email or IRC notification to avoid unimportant noise.

and https://www.mediawiki.org/wiki/User:Phabricator_maintenance is empty.

Qgil removed a subscriber: Qgil.Jun 1 2017, 12:10 AM
Aklapper removed Danny_B as the assignee of this task.Aug 4 2018, 11:56 AM
Aklapper lowered the priority of this task from High to Low.

Resetting assignee due to inactivity

greg added a comment.Aug 9 2018, 9:45 PM

FTR, Release-Engineering-Team has the credentials to this account and I have used it once or twice in the past 6 months (ish) for bulk actions.

There is also now the ability to run bulk edits silently if you have someone with access to the server run a command to start the bulk action (it tells you about this option right before you click the button that starts off the work).

greg closed this task as Resolved.Mar 7 2019, 11:32 PM
greg claimed this task.

Edited.

Restricted Application added a project: User-greg. · View Herald TranscriptMar 7 2019, 11:32 PM